/* locale.h standard header */
#ifndef _LOCALE
#define _LOCALE
#ifndef _YVALS
#include <yvals.h>
#endif

#if __MWERKS__
#pragma options align=mac68k

#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import on
#endif
#endif

		/* macros */
#ifndef NULL
#define NULL	_NULL
#endif
		/* locale codes */
#define LC_COLLATE	(1 << 0)
#define LC_CTYPE	(1 << 1)
#define LC_MONETARY	(1 << 2)
#define LC_NUMERIC	(1 << 3)
#define LC_TIME		(1 << 4)
#define LC_MESSAGE	(1 << 5)
	/* ADD YOURS HERE, THEN UPDATE _NCAT */
#define _NCAT		6	/* one more than last */
#define LC_ALL		((1 << _NCAT) - 1)
		/* type definitions */
struct lconv {
		/* controlled by LC_MONETARY */
	char *currency_symbol;
	char *int_curr_symbol;
	char *mon_decimal_point;
	char *mon_grouping;
	char *mon_thousands_sep;
	char *negative_sign;
	char *positive_sign;
	char frac_digits;
	char int_frac_digits;
	char n_cs_precedes;
	char n_sep_by_space;
	char n_sign_posn;
	char p_cs_precedes;
	char p_sep_by_space;
	char p_sign_posn;
		/* controlled by LC_NUMERIC */
	char *decimal_point;
	char *grouping;
	char *thousands_sep;
	char *_Frac_grouping;
	char *_Frac_sep;
		/* controlled by LC_MESSAGE */
	char *_No;
	char *_Yes;
	};
		/* declarations */
_C_LIB_DECL
struct lconv *localeconv(void);
char *setlocale(int, const char *);
extern struct lconv _Locale;
_END_C_LIB_DECL
#ifndef __cplusplus
		/* macro overrides */
#define localeconv()	(&_Locale)
#endif /* __cplusplus */

#if __MWERKS__
#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import reset
#endif

#pragma options align=reset
#endif

#endif /* _LOCALE */

/*
 * Copyright (c) 1994 by P.J. Plauger.  ALL RIGHTS RESERVED. 
 * Consult your license regarding permissions and restrictions.
 */

/* Change log:
 *94June04 PlumHall baseline
 *94Oct07 Inserted MW changes.
 */
