/* signal.h standard header */
#ifndef _SIGNAL
#define _SIGNAL
#ifndef _YVALS
#include <yvals.h>
#endif

#if __MWERKS__
#pragma options align=mac68k

#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import on
#endif
#endif

		/* type definitions */
typedef int sig_atomic_t;
typedef void _Sigfun(int);
		/* signal codes */
#define SIGABRT	_SIGABRT
#define SIGINT	2
#define SIGILL	4
#define SIGFPE	8
#define SIGSEGV	11
#define SIGTERM	15
#define _NSIG	_SIGMAX	/* one more than last code */
		/* signal return values */
#define SIG_DFL	((_Sigfun *)0)
#define SIG_ERR	((_Sigfun *)-1)
#define SIG_IGN	((_Sigfun *)1)
_EXTERN_C		/* low-level functions */
_Sigfun *signal(int, _Sigfun *);
_END_EXTERN_C
_C_LIB_DECL		/* declarations */
int raise(int);
_END_C_LIB_DECL

#if __MWERKS__
#if __CFM68K__ && __USING_IMPORTED_ANSI__
#pragma import reset
#endif

#pragma options align=reset
#endif

#endif

/*
 * Copyright (c) 1994 by P.J. Plauger.  ALL RIGHTS RESERVED. 
 * Consult your license regarding permissions and restrictions.
 */

/* Change log:
 *94June04 PlumHall baseline
 *94Oct07 Inserted MW changes.
 */
